[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEADeCryptStream.Seek

Set position on the stream

## Declaration

Source position: idea.pp line 108

`public function TIDEADeCryptStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Arguments

`Offset` |  | Offset to apply to the position in the stream
`Origin` |  | Origin from where Offset should be counted.

## Function result

New position in the stream

## Description

Seek will only work on a forward seek. It emulates a forward seek by reading and discarding bytes from the input stream. The TIDEADecryptStream stream tries to provide seek capabilities for the following limited number of cases:

Origin=soFromBeginning
  If Offset is larger than the current position, then the remaining bytes are skipped by reading them from the stream and discarding them.
Origin=soFromCurrent
  If Offset is zero, the current position is returned. If it is positive, then Offset bytes are skipped by reading them from the stream and discarding them.

## Errors

An EIDEAError exception is raised if the stream does not allow the requested seek operation.

## See also

Read |  | Reads data from the stream, decrypting it as needed